Troubleshooting “preg_replace_callback()” Errors

There is a known bug between some versions of PHP and the eAccelerator PHP extension that causes the following error:

preg_replace_callback(): Requires argument 2, '', to be a valid callback

If you are seeing this error when attempting to run Craft, you will need to disable the eAccelerator extension in your php.ini file, and then restart your web server.